=== debian/changelog ===
treeland (0.2.2) unstable; urgency=medium

  * fix user list not refresh
  * fix greeter in multi output

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Fri, 26 Jan 2024 15:18:40 +0800

treeland (0.2.1) unstable; urgency=medium

  * fix cannot set wallpaper

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Thu, 25 Jan 2024 09:29:40 +0800

treeland (0.2.0) unstable; urgency=medium

  * Support dock preview
  * New shortcut config
  * Add back to normal function

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Mon, 8 Jan 2024 18:37:40 +0800

treeland (0.1.1) unstable; urgency=medium

  * fix user session not set XDG_CURRENT_DESKTOP

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Tue, 25 Dec 2023 13:07:40 +0800

treeland (0.1.0) unstable; urgency=medium

  * Initial release

 -- Dingyuan Zhang <zhangdingyuan@uniontech.com>  Tue, 12 Dec 2023 13:07:40 +0800
