=== waylib/qwlroots/debian/changelog ===
qwlroots (0.0.1) UNRELEASED; urgency=medium

  * Initial continuous release

 -- rewine <lhongxu@outlook.com>  Wed, 19 Jul 2023 03:36:12 +0000
