=== debian/control ===
Source: treeland
Priority: optional
Maintainer: rewine <luhongxu@deepin.org> 
Build-Depends: debhelper-compat (= 13),
               cmake (>= 3.4~),
               pkg-config,
               extra-cmake-modules (>= 1.4.0~),
               libpam0g-dev,
               libsystemd-dev [linux-any],
               libupower-glib-dev,
               libxau-dev,
               libxcb-xkb-dev,
               libxcb1-dev,
               libxkbcommon-dev,
               libxcb-ewmh-dev,
               python3-docutils,
               qt6-base-dev (>= 6.6.1~),
               qt6-declarative-dev (>= 6.6.1~),
               qt6-tools-dev,
               qt6-tools-dev-tools (>= 6.6.1~),
               qt6-wayland,
               qt6-wayland-dev,
               qt6-wayland-private-dev,
               libdtk6declarative-dev,
               libdtk6gui-dev,
               libdtk6core-dev,
               libdtk6systemsettings-dev,
               libdtkcommon-dev,
               systemd [linux-any],
               libwaylib-dev,
               libqwlroots-dev,
               libwlroots-dev (>=0.17.0)
Standards-Version: 4.6.0
Section: libs
Homepage: https://github.com/vioken/treeland.git
#Vcs-Browser: https://salsa.debian.org/debian/treeland
#Vcs-Git: https://salsa.debian.org/debian/treeland.git
Rules-Requires-Root: no

Package: treeland
Section: libdevel
#Provides: x-display-manager
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
         qml6-module-qtquick,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-layouts,
         qml6-module-qtqml-workerscript,
         qml6-module-qtquick-templates,
         qml6-module-qtquick-particles,
         qml6-module-qtquick-dialogs,
         qml6-module-qtquick-window,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick-effects,
         qml6-module-qt-labs-folderlistmodel,
         adduser,
         seatd,
         qt6-wayland,
         libqt6svg6,
         libdtk6declarative,
         libdtk6systemsettings
Recommends: libpam-systemd, xwayland
Description: a modern display manager for Wayland sessions aiming to be fast, simple and beautiful.
